Bug 511235 - Can't pxeboot kvm guest
Can't pxeboot kvm guest
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 07:41 EDT by Steffen Unger
Modified: 2009-11-20 14:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 14:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steffen Unger 2009-07-14 07:41:29 EDT
Description of problem:
KVM is set up on a Fedora 11 host.  When I attempt to pxeboot a guest, I see
"Searching for server (DHCP)....No IP address
.No IP address
.No IP address
...

I have set up bridging between the physical host and vnet0.  I can see from the
dhcp server's logs that it receives a DHCPREQUEST, it makes a DHCPOFFER, and
never receives the DHCPREQUEST.

a tcpdump on the bridge device reveals a request packet, and an offer packet
coming back to the guest domain.

Version-Release number of selected component (if applicable):
qemu-common.x86_64                      2:0.10.5-3.fc11                installed
qemu-img.x86_64                         2:0.10.5-3.fc11                installed
qemu-kvm.x86_64                         2:0.10.5-3.fc11                installed
qemu-system-x86.x86_64                  2:0.10.5-3.fc11                installed
virt-manager.x86_64                     0.7.0-5.fc11                   installed
libvirt.x86_64                          0.6.2-12.fc11                  installed
libvirt-python.x86_64                   0.6.2-12.fc11                  installed


How reproducible:
always

Steps to Reproduce:
1.  Create a kvm guest, set it to pxe boot.
2.
3.

Actual results:
The guest never gets a DHCP address

Expected results:
The guest gets a DHCP address

Additional info:  

network-scripts
---------------
[ifcfg-eth0]
DEVICE=eth0
TYPE=Ethernet
HWADDR=00:13:72:EC:31:C9
ONBOOT=yes
BRIDGE=VLAN1

[ifcfg-eth0.12]
DEVICE=eth0.12
VLAN=yes
TYPE=Ethernet
HWADDR=00:13:72:EC:31:C9
ONBOOT=yes
BRIDGE=VLAN12

[ifcfg-VLAN1]
DEVICE=VLAN1
TYPE=Bridge
ONBOOT=yes
BOOTPROTO=dhcp
DELAY=0
STP=off

[ifcfg-VLAN12]
DEVICE=VLAN12
TYPE=Bridge
ONBOOT=yes
BOOTPROTO=dhcp
DELAY=0
STP=off

XML-Output of configured kvm-guest
----------------------------------
<domain type='kvm'>
  <name>WINXP</name>
  <uuid>7f8c680f-7d57-40e5-2b7e-c0718269527c</uuid>
  <memory>1048576</memory>
  <currentMemory>1048576</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='i686' machine='pc'>hvm</type>
    <boot dev='network'/>
  </os>
  <features>
    <pae/>
  </features>
  <clock offset='localtime'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <source file='/opt/VirtualMaschines/WinXP.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <interface type='bridge'>
      <mac address='54:52:00:08:92:80'/>
      <source bridge='VLAN12'/>
      <model type='virtio'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/3'/>
      <target port='0'/>
    </serial>
    <console type='pty' tty='/dev/pts/3'>
      <source path='/dev/pts/3'/>
      <target port='0'/>
    </console>
    <input type='tablet' bus='usb'/>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes'/>
    <sound model='es1370'/>
  </devices>
</domain>
Comment 1 Mark McLoughlin 2009-08-07 09:08:03 EDT
Thanks for the report

See:

  https://fedoraproject.org/wiki/Reporting_virtualization_bugs#Networking

for some of the kind of information you can provide

In particular, ensure that net.bridge.bridge-nf-call-iptables = 0

What version of etherboot do you have installed? Please make sure you have etherboot-5.4.4-16.fc11

Could you try changing to model='e1000' and model='rtl8139' in the guest config to see if that helps?
Comment 2 Mark McLoughlin 2009-11-20 14:30:01 EST
No response since 2009-08-07, closing

Note You need to log in before you can comment on or make changes to this bug.